Subject: Re: bug#77015: 31.0.50; Too many menu bar lines corrupt -nw display

From: martin rudalics <[email-masked]>
Date: Sat, 15 Mar 2025 09:59:54 +0100

> Looking at display_menu_bar in xdisp.c I see that only ever one line of
 > menu-bar is displayed, the rest of the lines are cleared. Which begs the
 > question what this is good for, IMO. Maybe one should just restrict the
 > valid values of menu-bar-lines to 0 and 1.

The only builds I know of that can "wrap" the menu bar when a frame gets
narrow are the Motif and the Windows builds.  Neither of these builds
mirror that fact in the number of the 'menu-bar-lines' frame parameter.
'frame-geometry' reports the correct height for the Motif builds, I do
not recall about the Windows build.  All remaining builds truncate the
menu bar when the frame gets to narrow - sometimes protesting vehemently
as our problems with GTK-3 show.  I have no idea about Android.

I'd say that any value less than one 1 be interpreted as "don't show a
menu bar" and store/report the value 0.  Any value greater 0 would then
mean to "show a menu bar if possible" and store/report a value of 1 if
that can be done.  So for tty child frames we'd get 0 as we do already.

martin